VSTGUI: UIDescriptionAddOnAdapter Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UIDescriptionAddOnAdapter Struct Reference

`#include <iuidescriptionaddon.h>`

Inheritance diagram for UIDescriptionAddOnAdapter:

## Public Member Functions
void | afterParsing (IUIDescription *desc) override
| called after the desc was parsed
void | beforeSaving (IUIDescription *desc) override
| called before the desc is saved
void | onDestroy (IUIDescription *desc) override
| called when the desc is going to be destroyed
CreateTemplateViewFunc | onCreateTemplateView (const IUIDescription *desc, const CreateTemplateViewFunc &f) override
| called when a new template view should be created.
IViewFactory * | getViewFactory (IUIDescription *desc, IViewFactory *originalFactory) override
| the add-on can wrap the view factory or return the original one if not needed
void | onEditingStart (IUIDescription *desc) override
| called when the desc is going into edit mode
void | onEditingEnd (IUIDescription *desc) override
| called when the desc is going out of edit mode
Public Member Functions inherited from IUIDescriptionAddOn
virtual | ~IUIDescriptionAddOn () noexcept=default

## Additional Inherited Members
Public Types inherited from IUIDescriptionAddOn
using | CreateTemplateViewFunc

## Member Function Documentation

## ◆ afterParsing()

void afterParsing | ( | IUIDescription * | desc | ) |
| inlineoverridevirtual

called after the desc was parsed

Implements IUIDescriptionAddOn.

## ◆ beforeSaving()

void beforeSaving | ( | IUIDescription * | desc | ) |
| inlineoverridevirtual

called before the desc is saved

Implements IUIDescriptionAddOn.

## ◆ getViewFactory()

IViewFactory * getViewFactory | ( | IUIDescription * | desc,
|  | IViewFactory * | originalFactory )
| inlineoverridevirtual

the add-on can wrap the view factory or return the original one if not needed

Implements IUIDescriptionAddOn.

## ◆ onCreateTemplateView()

CreateTemplateViewFunc onCreateTemplateView | ( | const IUIDescription * | desc,
|  | const CreateTemplateViewFunc & | f )
| inlineoverridevirtual

called when a new template view should be created.

The provided CreateTemplateViewFunc can be used to create the view in a normal way

Implements IUIDescriptionAddOn.

## ◆ onDestroy()

void onDestroy | ( | IUIDescription * | desc | ) |
| inlineoverridevirtual

called when the desc is going to be destroyed

Implements IUIDescriptionAddOn.

## ◆ onEditingEnd()

void onEditingEnd | ( | IUIDescription * | desc | ) |
| inlineoverridevirtual

called when the desc is going out of edit mode

Implements IUIDescriptionAddOn.

## ◆ onEditingStart()

void onEditingStart | ( | IUIDescription * | desc | ) |
| inlineoverridevirtual

called when the desc is going into edit mode

Implements IUIDescriptionAddOn.

The documentation for this struct was generated from the following file:

- iuidescriptionaddon.h